# Sync version of Request

Generate MD5 from string or file. Supports synchron method.

#### Installation
```sh
$ npm install -s simple-md5
```

#### Simple:
```javascript
var SimpleMD5 = require('simple-md5');
console.info(SimpleMD5('test'));
```

#### From a file:
```javascript
var SimpleMD5 = require('simple-md5');
SimpleMD5.file('/path/to/file', function(err, hash) {
	if (!err) console.error(err);
	else console.info(hash);
});
```

#### From a file synchron (at the moment problems which big files):
```javascript
var SimpleMD5 = require('simple-md5');
var hash = SimpleMD5.fileSync('/path/to/file');
console.info(hash);
```